// Copyright Amazon.com Inc. or its affiliates. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License"). You may
// not use this file except in compliance with the License. A copy of the
// License is located at
//
//     http://aws.amazon.com/apache2.0/
//
// or in the "license" file accompanying this file. This file is distributed
// on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
// express or implied. See the License for the specific language governing
// permissions and limitations under the License.
//

// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/aws/amazon-ecs-agent/agent/gpu (interfaces: GPUManager)

// Package mock_gpu is a generated GoMock package.
package mock_gpu

import (
	reflect "reflect"

	ecs "github.com/aws/amazon-ecs-agent/agent/ecs_client/model/ecs"
	gomock "github.com/golang/mock/gomock"
)

// MockGPUManager is a mock of GPUManager interface
type MockGPUManager struct {
	ctrl     *gomock.Controller
	recorder *MockGPUManagerMockRecorder
}

// MockGPUManagerMockRecorder is the mock recorder for MockGPUManager
type MockGPUManagerMockRecorder struct {
	mock *MockGPUManager
}

// NewMockGPUManager creates a new mock instance
func NewMockGPUManager(ctrl *gomock.Controller) *MockGPUManager {
	mock := &MockGPUManager{ctrl: ctrl}
	mock.recorder = &MockGPUManagerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockGPUManager) EXPECT() *MockGPUManagerMockRecorder {
	return m.recorder
}

// GetDevices mocks base method
func (m *MockGPUManager) GetDevices() []*ecs.PlatformDevice {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetDevices")
	ret0, _ := ret[0].([]*ecs.PlatformDevice)
	return ret0
}

// GetDevices indicates an expected call of GetDevices
func (mr *MockGPUManagerMockRecorder) GetDevices() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDevices", reflect.TypeOf((*MockGPUManager)(nil).GetDevices))
}

// GetDriverVersion mocks base method
func (m *MockGPUManager) GetDriverVersion() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetDriverVersion")
	ret0, _ := ret[0].(string)
	return ret0
}

// GetDriverVersion indicates an expected call of GetDriverVersion
func (mr *MockGPUManagerMockRecorder) GetDriverVersion() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDriverVersion", reflect.TypeOf((*MockGPUManager)(nil).GetDriverVersion))
}

// GetGPUIDsUnsafe mocks base method
func (m *MockGPUManager) GetGPUIDsUnsafe() []string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetGPUIDsUnsafe")
	ret0, _ := ret[0].([]string)
	return ret0
}

// GetGPUIDsUnsafe indicates an expected call of GetGPUIDsUnsafe
func (mr *MockGPUManagerMockRecorder) GetGPUIDsUnsafe() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetGPUIDsUnsafe", reflect.TypeOf((*MockGPUManager)(nil).GetGPUIDsUnsafe))
}

// Initialize mocks base method
func (m *MockGPUManager) Initialize() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Initialize")
	ret0, _ := ret[0].(error)
	return ret0
}

// Initialize indicates an expected call of Initialize
func (mr *MockGPUManagerMockRecorder) Initialize() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Initialize", reflect.TypeOf((*MockGPUManager)(nil).Initialize))
}

// SetDevices mocks base method
func (m *MockGPUManager) SetDevices() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "SetDevices")
}

// SetDevices indicates an expected call of SetDevices
func (mr *MockGPUManagerMockRecorder) SetDevices() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SetDevices", reflect.TypeOf((*MockGPUManager)(nil).SetDevices))
}

// SetDriverVersion mocks base method
func (m *MockGPUManager) SetDriverVersion(arg0 string) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "SetDriverVersion", arg0)
}

// SetDriverVersion indicates an expected call of SetDriverVersion
func (mr *MockGPUManagerMockRecorder) SetDriverVersion(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SetDriverVersion", reflect.TypeOf((*MockGPUManager)(nil).SetDriverVersion), arg0)
}

// SetGPUIDs mocks base method
func (m *MockGPUManager) SetGPUIDs(arg0 []string) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "SetGPUIDs", arg0)
}

// SetGPUIDs indicates an expected call of SetGPUIDs
func (mr *MockGPUManagerMockRecorder) SetGPUIDs(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SetGPUIDs", reflect.TypeOf((*MockGPUManager)(nil).SetGPUIDs), arg0)
}
